<?php namespace App\ViewModels\GaleriaClassificacao\GaleriaClassificacaoDetailsViewModel;


use App\Utils\Builder;

class GaleriaClassificacaoDetailsViewModelBuilder implements Builder
{
    protected $id;
    protected $antes;
    protected $depois;
    protected $imagem_antes;
    protected $descricao_antes;
    protected $imagem_depois;
    protected $descricao_depois;
    protected $descricao_classificacao;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setAntes($antes)
    {
        $this->antes = $antes;
        return $this;
    }

    public function setDepois($depois)
    {
        $this->depois = $depois;
        return $this;
    }

    public function setImagemAntes($imagem_antes)
    {
        $this->imagem_antes = $imagem_antes;
        return $this;
    }

    public function setImagemDepois($imagem_depois)
    {
        $this->imagem_depois = $imagem_depois;
        return $this;
    }

    public function setDescricaoAntes($descricao_antes)
    {
        $this->descricao_antes = $descricao_antes;
        return $this;
    }

    public function setDescricaoDepois($descricao_depois)
    {
        $this->descricao_depois = $descricao_depois;
        return $this;
    }

    public function setDescricaoClassificacao($descricao_classificacao)
    {
        $this->descricao_classificacao = $descricao_classificacao;
        return $this;
    }




    public function build() : GaleriaClassificacaoDetailsViewModel
    {
        $procedimento_details_vm = new GaleriaClassificacaoDetailsViewModel();
        $procedimento_details_vm->setId($this->id);
        $procedimento_details_vm->setAntes($this->antes);
        $procedimento_details_vm->setDepois($this->depois);
        $procedimento_details_vm->setImagemAntes($this->imagem_antes);
        $procedimento_details_vm->setImagemDepois($this->imagem_depois);
        $procedimento_details_vm->setDescricaoAntes($this->descricao_antes);
        $procedimento_details_vm->setDescricaoDepois($this->descricao_depois);
        $procedimento_details_vm->setDescricaoClassificacao($this->descricao_classificacao);
        return $procedimento_details_vm;
    }


}